/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS
* AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY
* REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
* DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2019 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : rble_app_rrtpc.h
* Version      : 1.00
* Device(s)    : R5F11CCC
* Description  : This file is a header file for "rble_app_rrtpc.c".
***********************************************************************************************************************/
/***********************************************************************************************************************
* History      : DD.MM.YYYY    Version    Description
*              : 22.02.2019    1.00       First edition
***********************************************************************************************************************/
#ifndef _rBLE_APP_RRTPC_H
#define _rBLE_APP_RRTPC_H

#include "rble_api_rrtp.h"

/******************************** Define Declaration **********************************/


/***************************** PUBLIC Memory Declaration ******************************/


/******************************** typedef Declaration *********************************/
typedef struct
{
    BOOL     Notify_en;
    BOOL     Indicate_en;
    BOOL     Timer_en;
    uint16_t Timer_interval;
    uint8_t  Notify_len;
    uint8_t  Indicate_len;
} RBLE_RRTP_INFO;

/******************************* PROTOTYPE Declaration ********************************/
bool        RBLE_RTP_Client_Enable_Test(void);
bool        RBLE_RTP_Client_Disable_Test(void);
bool        RBLE_RTP_Client_Write_Char_Test(void);


#endif  /* _rBLE_APP_RRTPC_H */

