/*******************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only
 * intended for use with Renesas products. No other uses are authorized. This
 * software is owned by Renesas Electronics Corporation and is protected under
 * all applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
 * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
 * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
 * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
 * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
 * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
 * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software
 * and to discontinue the availability of this software. By using this software,
 * you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 * (C) 2012-2015 Renesas Electronics Corporation All rights reserved.
 ******************************************************************************/

/******************************************************************************
 * File Name  : led_onoff.h
 * Version    : 1.0
 * Description: LED driver for LED3/4 header file
 *
 * Copyright(C) 2012-2016 Renesas Electronics Corporation
 ******************************************************************************/
#ifndef __LED_ONOFF_H__
#define __LED_ONOFF_H__

/*******************************************************************************
 * Type Definitions
 ******************************************************************************/
typedef enum {
    R_LED3,
    R_LED4,
} R_LED_DEV;

typedef enum {
    R_LED_STATE_OFF,
    R_LED_STATE_ON,
} R_LED_STATE;

/*******************************************************************************
 * Function Declarations (API)
 ******************************************************************************/
int led_onoff_init(R_LED_DEV led);
int led_onoff_set(R_LED_DEV led, R_LED_STATE state);
int led_onoff_state(R_LED_DEV led, R_LED_STATE *state);

#endif /* __LED_ONOFF_H__ */
