/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS
* AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY
* REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
* DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2016 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : rble_external.h
* Version      : 1.00
* Device(s)    : R5F11MPGAFB
* Description  : This file is a header file for rBLE 
***********************************************************************************************************************/
/***********************************************************************************************************************
* History      : DD.MM.YYYY    Version    Description
*              : 28.11.2018    1.00       First Release
***********************************************************************************************************************/

#ifndef __RBLE_EXTERNAL_H__
#define __RBLE_EXTERNAL_H__

#define RF_DEVICE_NAME_SZ       (65)

typedef struct
{
    uint8_t  list_num;
    uint16_t service_list;
} st_service_list_t;

typedef struct
{
    uint8_t                   device_name[RF_DEVICE_NAME_SZ];

    st_service_list_t         service_list;
    enum RBLE_GAP_IO_CAP_enum iocap;
    enum RBLE_AUTH_REQ_enum   auth;

    /* add profile and option parameter */
    union
    {
        uint8_t context;
    } op;
    uint8_t                   dummy1;
} st_init_api_info_t;

#endif /* __RBLE_EXTERNAL_H__ */

