/***********************************************************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
* other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
* applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED
* OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
* NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS
* AFFILIATED COMPANIES SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY
* REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH
* DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
* this software. By using this software, you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2019 Renesas Electronics Corporation. All rights reserved.
***********************************************************************************************************************/
/***********************************************************************************************************************
* File Name    : r_rrtp.h
* Version      : 1.00
* Device(s)    : R5F11MPGAFB
* Description  : This file is a header file for "r_rrtp.c".
***********************************************************************************************************************/
/***********************************************************************************************************************
* History      : DD.MM.YYYY    Version    Description
*              : 05.02.2019    1.00       First Release
***********************************************************************************************************************/

#include "compiler.h"

#ifndef R_RRTP_H
#define R_RRTP_H

/***********************************************************************************************************************
Macro definitions
***********************************************************************************************************************/

#define D_RAPID_TRANSFER_QUEUE_SIZE         (8)
#define D_RAPID_TRANSFER_BUFFER_SIZE        (20)


/***********************************************************************************************************************
Typedef definitions
***********************************************************************************************************************/
typedef struct
{
    struct
    {
        uint8_t data_len;
        uint8_t data[D_RAPID_TRANSFER_BUFFER_SIZE];
    } queue_array[D_RAPID_TRANSFER_QUEUE_SIZE];
    uint8_t   in_use;
    uint8_t   push_i;
    uint8_t   pop_i;
} st_rapid_data_t;

/***********************************************************************************************************************
* Global variable and function declaration
***********************************************************************************************************************/

extern st_rapid_data_t g_rapid_transfer_queue;

uint8_t R_RRTP_DataEnqueue(uint8_t * data, uint8_t len);

#endif /* R_RRTP_H */

